Update von 3.0.10 auf 3.1.10

Fragen zur Bedienung von phpBB 3.0.x, Probleme bei der Benutzung und alle weiteren Fragen inkl. Update auf die neuste phpBB 3.0.14 Version
Forumsregeln
phpBB 3.0 hat das Ende seiner Lebenszeit überschritten
phpBB 3.0 wird nicht mehr aktiv unterstützt. Insbesondere werden - auch bei Sicherheitslücken - keine Patches mehr bereitgestellt. Der Einsatz von phpBB 3.0 erfolgt daher auf eigene Gefahr. Wir empfehlen einen Umstieg auf phpBB 3.1, welches aktiv weiterentwickelt wird und für welches regelmäßig Updates zur Verfügung gestellt werden.
Thunder_Blade
Mitglied
Beiträge: 17
Registriert: 08.10.2014 13:18

Update von 3.0.10 auf 3.1.10

Beitragvon Thunder_Blade » 02.11.2016 07:59

Hallo,
ich muss updaten von 3.0.10 auf 3.1.10.
Unter den Downloadpaketen http://downloads.phpbb.de/pakete/deutsch/3.1/3.1.10/ finde ich aber nur ein automatisches Paket von 3.0.12.

Dieses hier:
phpBB-3.0.12-deutsch_to_3.1.10-deutsch.zip 14-Oct-2016 17:48 6M

Kann ich es dennoch verwenden?
(ja - ich bin spät dran)

Danke für erfahrene Hilfe...

Thunder_Blade
Mitglied
Beiträge: 17
Registriert: 08.10.2014 13:18

Re: Update von 3.0.10 auf 3.1.10

Beitragvon Thunder_Blade » 02.11.2016 08:41

Hallo,
diesen Link habe ich gefunden: viewtopic.php?f=145&t=237756
Da geht es um das gleiche Thema. Ich versuche mich da mal...

Thunder_Blade
Mitglied
Beiträge: 17
Registriert: 08.10.2014 13:18

Re: Update von 3.0.10 auf 3.1.10

Beitragvon Thunder_Blade » 02.11.2016 17:54

MIST... ich habe mich verhuddelt... :oops:

Nachdem das Update auf 3.0.10 noch funktioniert hat, ist der Sprung auf 3.1.10 gescheitert, da ich ca. 1500 Dateien löschen sollte.
Ich habe mich dann für Variante "Dateien des Komplettpakets ins Forenhauptverzeichnis hochladen" entschieden und
alle Forendateien gelöscht, mit folgenden Ausnahmen:
config.php
files/
images/
store/
...wie hier beschrieben https://www.phpbb.de/kb/convert30_to_31

Anschließend wollte ich http://www.example.org/phpBB/install/da ... update.php die Datenbank updaten. Das hat aber einen Fehler gebracht.

Und nun:

Code: Alles auswählen

SQL ERROR [ mysqli ]

Table 'd0119680.phpbb_RMTfstyles_template' doesn't exist [1146]

SQL

SELECT s.style_id, t.template_storedb, t.template_path, t.template_id, t.bbcode_bitfield, t.template_inherits_id, t.template_inherit_path, c.theme_path, c.theme_name, c.theme_storedb, c.theme_id, i.imageset_path, i.imageset_id, i.imageset_name FROM phpbb_RMTfstyles s, phpbb_RMTfstyles_template t, phpbb_RMTfstyles_theme c, phpbb_RMTfstyles_imageset i WHERE s.style_id = 6 AND t.template_id = s.template_id AND c.theme_id = s.theme_id AND i.imageset_id = s.imageset_id

BACKTRACE

FILE: [ROOT]/includes/db/mysqli.php
LINE: 182
CALL: dbal->sql_error()

FILE: [ROOT]/includes/session.php
LINE: 1631
CALL: dbal_mysqli->sql_query()

FILE: [ROOT]/index.php
LINE: 26
CALL: user->setup()


Was mache ich nun :o
Ich habe das komplette Verzeichnis vorher gesichert...
und die Datenbank als Kopie im Webspace kopiert...



Benutzeravatar
Kirk
Supporter
Supporter
Beiträge: 5492
Registriert: 24.05.2010 08:31
Kontaktdaten:

Re: Update von 3.0.10 auf 3.1.10

Beitragvon Kirk » 02.11.2016 18:26

Hallo
In dieser Anleitung steht auch:
Beim erstmaligem Update von 3.0 auf 3.1 wird empfohlen, dass man eine der letzten 3.0-Versionen installiert hat (3.0.12, 3.0.13 oder 3.0.13-PL1)

Lade dir das Backup hoch und update erstmal auf oben genannten Versionen.

Thunder_Blade
Mitglied
Beiträge: 17
Registriert: 08.10.2014 13:18

Re: Update von 3.0.10 auf 3.1.10

Beitragvon Thunder_Blade » 02.11.2016 18:28

Oh ja, Tippfehler meinerseits. Ich hatte ja 3.0.10, und habe dann erfolgreich auf 3.0.13 geupdatet.
Danach das Problem :(

Ich versuche nun mal die Wiederherstellung... und dann noch mal. Was könnte ich denn noch falsch gemacht haben?

Benutzeravatar
Melmac
Supporter
Supporter
Beiträge: 2187
Registriert: 15.10.2012 03:27

Re: Update von 3.0.10 auf 3.1.10

Beitragvon Melmac » 02.11.2016 19:08

Hattest Du auch die vorbereitenden Arbeiten durchgeführt?

Z.B.:
Zu manchen Modifikationen gehören Module, über die man die jeweilige Modifikation im Administrationsbereich konfigurieren kann. Diese Module müssen vor dem Update gelöscht werden. Siehe dazu auch diesen Artikel Modul Reste entfernen.

Sofern Du keine MODs installiert hattest, deren Daten Du unbedingt weiter nutzen willst/musst, wäre auch der Tipp mit dem kompletten Bereinigen der Datenbank mittels des STK anzudenken.

Vor allem aber:
Die Styles von 3.0.x sind nicht kompatibel mit 3.1.x. Deswegen müssen vor dem Update alle Styles außer prosilver im Administrationsbereich unter Styles gelöscht werden. Der Style prosilver darf nicht gelöscht werden.
Handle nur nach derjenigen Maxime, durch die du zugleich wollen kannst, dass sie ein allgemeines Gesetz werde.
(Immanuel Kant)

Thunder_Blade
Mitglied
Beiträge: 17
Registriert: 08.10.2014 13:18

Re: Update von 3.0.10 auf 3.1.10

Beitragvon Thunder_Blade » 03.11.2016 09:05

Feedback:
Ich hatte einen entscheidenden Fehler gemacht. In der Rücksicherung habe ich die config.php nicht angepasst. Dadurch habe ich natürlich immer in der gleichen Datenbank versucht zu Updaten... das war aber schon passiert... Ich habe es aber nicht gemerkt.

Durch komplette Rücksicherung und einen völligen Neuanfang hat es dann geklappt. ABER, ich habe die zu löschenden Dateien beim Update auf 3.1.19 manuell gelöscht. War aufwendig, ging aber, da die meisten Dateien ja im Style sind. Und das habe ich komplett aus einer Neuinstallation auf den FTP geladen. Damit war es sauber.

DANKE


Zurück zu „[3.0.x] Administration, Benutzung und Betrieb“